Bug 12678 - REGRESSION: I can't change slashdot comment style to Nested
Summary: REGRESSION: I can't change slashdot comment style to Nested
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P1 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-02-06 23:42 PST by Maciej Stachowiak
Modified: 2007-03-13 00:32 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2007-02-06 23:42:30 PST
2006-10-04 13:58:27 Matt Ackeret:
On the first launch per day, when I try to change the comment style to "Nested" on a slashdot article, it fails.

1) go to slashdot.org
2) open a discussion
3) go down to the comments and change the second popup from Flat to Nested
4) hit Change
-> for me, on the launch that I try this the first time in Safari, it fails.. It doesn't properly show up as Nested.

This seems to happen once a day.  I haven't been able to get it to happen again on the same day, after I quit and relaunch.  But when it's happening, it stays that way.

What other information should I provide?  This is a fairly recent change (last few weeks at the very most).

2006-10-06 17:06:46 Stephanie Lewis:
I am seeing this in Leopard 9A274.  As of yet I haven't seen it start to work correctly (relaunched Safari several times).  This is a regression from Safari 2.0.4

2006-10-06 18:18:56 Matt Ackeret:
Also, I have noticed that in these situations, the color scheme (for the bars above each message IIRC) is all messed up too.. sometimes really dark text on a dark blue background for example.  After I quit/relaunch and reload it properly, it doesn't ever have this same unreadable color scheme.

2006-10-10 11:08:24 Alice Liu:
Safari BRB Reviewed 

<rdar://problem/4766052>
Comment 1 Maciej Stachowiak 2007-03-13 00:32:43 PDT
Fixed in Radar.